{include file='header' pageTitle='wcf.acp.jwtservice.'|concat:$action}

<header class="contentHeader">
	<div class="contentHeaderTitle">
		<h1 class="contentTitle">{lang}wcf.acp.jwtservice.{$action}{/lang}</h1>
	</div>
	
	<nav class="contentHeaderNavigation">
		<ul>
			<li><a href="{link controller='JWTServiceList'}{/link}" class="button"><span class="icon icon16 fa-list"></span> <span>{lang}wcf.acp.menu.link.jwtservice.list{/lang}</span></a></li>
			
			{event name='contentHeaderNavigation'}
		</ul>
	</nav>
</header>

{include file='formError'}

{if $success|isset}
	<p class="success">{lang}wcf.global.success.{$action}{/lang}</p>
{/if}

<form method="post" action="{if $action == 'add'}{link controller='JWTServiceAdd'}{/link}{else}{link controller='JWTServiceEdit' id=$jwtService->jwtServiceID}{/link}{/if}" enctype="multipart/form-data">
	<section class="section">
		<dl{if $errorField == 'name'} class="formError"{/if}>
			<dt><label for="name">{lang}wcf.acp.jwtservice.name{/lang}</label></dt>
			<dd>
				<input type="text" id="name" name="name" value="{$name}" autofocus class="long">
				
				{if $errorField == 'name'}
					<small class="innerError">
						{lang}wcf.global.form.error.{$errorType}{/lang}
					</small>
				{/if}
			</dd>
		</dl>

		<dl{if $errorField == 'algorithm'} class="formError"{/if}>
			<dt><label for="algorithm">{lang}wcf.acp.jwtservice.algorithm{/lang}</label></dt>
			<dd>
				<select id="algorithm" name="algorithm">
					<option value=""{if $algorithm|empty} selected{/if}>{lang}wcf.acp.jwtservice.algorithm.default{/lang}</option>
					{foreach from=$supportedAlgorithms item='a'}
						<option value="{$a}"{if $algorithm === $a} selected{/if}>{$a}</option>
					{/foreach}
				</select>
				
				{if $errorField == 'algorithm'}
					<small class="innerError">
						{if $errorType == 'empty' || $errorType == 'multilingual'}
							{lang}wcf.global.form.error.{$errorType}{/lang}
						{else}
							{lang}wcf.acp.jwtservice.algorithm.error.{@$errorType}{/lang}
						{/if}
					</small>
				{/if}
			</dd>
		</dl>

		<dl{if $errorField == 'secret'} class="formError"{/if}>
			<dt><label for="secret">{lang}wcf.acp.jwtservice.secret{/lang}</label></dt>
			<dd>
				<textarea id="secret" name="secret" cols="40" rows="10">{$secret}</textarea>
				
				{if $errorField == 'secret'}
					<small class="innerError">
						{if $errorType == 'empty' || $errorType == 'multilingual'}
							{lang}wcf.global.form.error.{$errorType}{/lang}
						{else}
							{lang}wcf.acp.jwtservice.secret.error.{@$errorType}{/lang}
						{/if}
					</small>
				{/if}
			</dd>
		</dl>

		<dl{if $errorField == 'redirectURL'} class="formError"{/if}>
			<dt><label for="redirectURL">{lang}wcf.acp.jwtservice.redirectURL{/lang}</label></dt>
			<dd>
				<input type="text" id="redirectURL" name="redirectURL" value="{$redirectURL}" class="long">
				
				{if $errorField == 'redirectURL'}
					<small class="innerError">
						{if $errorType == 'empty' || $errorType == 'multilingual'}
							{lang}wcf.global.form.error.{$errorType}{/lang}
						{else}
							{lang}wcf.acp.jwtservice.redirectURL.error.{@$errorType}{/lang}
						{/if}
					</small>
				{/if}
			</dd>
		</dl>

		<dl{if $errorField == 'lifetime'} class="formError"{/if}>
			<dt><label for="lifetime">{lang}wcf.acp.jwtservice.lifetime{/lang}</label></dt>
			<dd>
				<input type="number" id="lifetime" name="lifetime" value="{$lifetime}" min="0" class="short">
				
				{if $errorField == 'lifetime'}
					<small class="innerError">
						{if $errorType == 'empty' || $errorType == 'multilingual'}
							{lang}wcf.global.form.error.{$errorType}{/lang}
						{else}
							{lang}wcf.acp.jwtservice.lifetime.error.{@$errorType}{/lang}
						{/if}
					</small>
				{/if}
			</dd>
		</dl>
		
		{event name='dataFields'}
	</section>
	
	{event name='sections'}
	
	<div class="formSubmit">
		<input type="submit" value="{lang}wcf.global.button.submit{/lang}" accesskey="s">
		{@SECURITY_TOKEN_INPUT_TAG}
	</div>
</form>

{include file='footer'}

