<?php
namespace wcf\acp\page;
use wcf\data\category\Category;
use wcf\data\jwt\JWTServiceList;
use wcf\page\MultipleLinkPage;
use wcf\system\exception\IllegalLinkException;
use wcf\system\WCF;

/**
 * Lists the available jwt services.
 * 
 * @author	Franz Reiter (Howaner)
 * @copyright	2019 Franz Reiter
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.howaner.jwt
 * 
 * @property	JWTServiceList	$objectList
 */
class JWTServiceListPage extends MultipleLinkPage {
	/**
	 * @inheritDoc
	 */
	public $activeMenuItem = 'wcf.acp.menu.link.jwtservice';
	
	/**
	 * @inheritDoc
	 */
	public $neededPermissions = ['admin.configuration.canManageJwtServices'];
	
	/**
	 * @inheritDoc
	 */
	public $objectListClassName = JWTServiceList::class;
	
	/**
	 * @inheritDoc
	 */
	public $templateName = 'jwtServiceList';
	
	/**
	 * @inheritDoc
	 */
	public $sqlOrderBy = 'jwtServiceID ASC';
	
	/**
	 * @inheritDoc
	 */
	public function readParameters() {
		parent::readParameters();
	}
	
	/**
	 * @inheritDoc
	 */
	public function assignVariables() {
		parent::assignVariables();
	}
	
	/**
	 * @inheritDoc
	 */
	protected function initObjectList() {
		parent::initObjectList();
	}
	
	/**
	 * @inheritDoc
	 */
	public function readData() {
		parent::readData();
	}
}

