<?php
namespace wcf\data\jwt;
use wcf\data\AbstractDatabaseObjectAction;
use wcf\system\exception\PermissionDeniedException;
use wcf\system\exception\UserInputException;
use wcf\system\WCF;

/**
 * Executes jwt service related actions.
 * 
 * @author	Franz Reiter (Howaner)
 * @copyright	2019 Franz Reiter
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.howaner.jwt
 * 
 * @method	JWTServiceEditor[]	getObjects()
 * @method	JWTServiceEditor	getSingleObject()
 */
class JWTServiceAction extends AbstractDatabaseObjectAction {
	/**
	 * @inheritDoc
	 */
	protected $className = JWTServiceEditor::class;
	
	/**
	 * @inheritDoc
	 */
	protected $permissionsDelete = ['admin.configuration.canManageJwtServices'];
	
	/**
	 * @inheritDoc
	 */
	protected $permissionsUpdate = ['admin.configuration.canManageJwtServices'];
	
	/**
	 * @inheritDoc
	 */
	protected $requireACP = ['delete', 'update'];
}

