<?php
namespace wcf\data\jwt;
use wcf\data\DatabaseObjectList;

/**
 * Represents a list of jwt services.
 * 
 * @author	Franz Reiter (Howaner)
 * @copyright	2019 Franz Reiter
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 * @package	de.howaner.jwt
 *
 * @method	JWTService		current()
 * @method	JWTService[]	getObjects()
 * @method	JWTService|null	search($objectID)
 * @property	JWTService[] $objects
 */
class JWTServiceList extends DatabaseObjectList {
	/**
	 * @inheritDoc
	 */
	public $className = JWTService::class;

	/**
	 * @return string
	 */
	public static function getServiceByName($name) {
		if (empty($name)) {
			return null;
		}

		$jwtServiceList = new JWTServiceList();
		$jwtServiceList->getConditionBuilder()->add("name = ?", [$name]);
		$jwtServiceList->readObjects();

		$objects = $jwtServiceList->getObjects();
		return (empty($objects) ? null : reset($objects));
	}
}

